import { isGenerated, isGeneratedFile } from '../LanguageIds.js';
import { basename, toUri } from '../util/Uri.js';
import { normalizeLanguageIds } from './normalizeLanguageIds.js';
export function isBinaryDoc(document) {
    return isBinaryFile(toUri(document.uri), document.languageId);
}
export function isBinaryFile(filename, languageId) {
    const filenameUri = toUri(filename);
    if (languageId) {
        const ids = normalizeLanguageIds(languageId);
        if (ids.length)
            return isGenerated(ids);
    }
    const file = basename(filenameUri);
    return isGeneratedFile(file);
}
//# sourceMappingURL=isBinaryDoc.js.map