import type { CSpellUserSettings, GlobDef, LanguageSetting } from '@cspell/cspell-types';
import type { OptionalOrUndefined } from '../../../util/types.js';
interface NormalizableFields {
    version?: string | number;
}
export declare function normalizeRawConfig(config: CSpellUserSettings | NormalizableFields): void;
type NormalizeDictionaryDefsParams = OptionalOrUndefined<Pick<CSpellUserSettings, 'dictionaryDefinitions' | 'languageSettings'>>;
export declare function normalizeDictionaryDefs(settings: NormalizeDictionaryDefsParams, pathToSettingsFile: string): import("../../../util/types.js").RemoveUndefined<{
    dictionaryDefinitions: import("../../../Models/CSpellSettingsInternalDef.js").DictionaryDefinitionInternalWithSource[] | undefined;
    languageSettings: import("../../../util/types.js").RemoveUndefined<{
        dictionaryDefinitions: import("../../../Models/CSpellSettingsInternalDef.js").DictionaryDefinitionInternalWithSource[] | undefined;
        languageId: import("@cspell/cspell-types").MatchingFileType;
        locale?: string | string[];
        local?: string | string[];
        id?: string;
        name?: string;
        description?: string;
        enabled?: boolean;
        allowCompoundWords?: boolean;
        caseSensitive?: boolean;
        dictionaries?: string[];
        noSuggestDictionaries?: string[];
        ignoreRegExpList?: import("@cspell/cspell-types").RegExpPatternList;
        includeRegExpList?: import("@cspell/cspell-types").RegExpPatternList;
        patterns?: import("@cspell/cspell-types").RegExpPatternDefinition[];
        words?: string[];
        flagWords?: string[];
        ignoreWords?: string[];
        suggestWords?: string[];
        parser?: string;
    }>[] | undefined;
}>;
type NormalizeOverrides = Pick<CSpellUserSettings, 'globRoot' | 'overrides'>;
type NormalizeOverridesResult = Pick<CSpellUserSettings, 'overrides'>;
export declare function normalizeOverrides(settings: NormalizeOverrides, pathToSettingsFile: string): NormalizeOverridesResult;
type NormalizeReporters = Pick<CSpellUserSettings, 'reporters'>;
export declare function normalizeReporters(settings: NormalizeReporters, pathToSettingsFile: string): NormalizeReporters;
export declare function normalizeLanguageSettings(languageSettings: LanguageSetting[] | undefined): LanguageSetting[] | undefined;
type NormalizeGitignoreRoot = Pick<CSpellUserSettings, 'gitignoreRoot'>;
export declare function normalizeGitignoreRoot(settings: NormalizeGitignoreRoot, pathToSettingsFile: string): NormalizeGitignoreRoot;
interface NormalizeSettingsGlobs {
    globRoot?: CSpellUserSettings['globRoot'];
    ignorePaths?: CSpellUserSettings['ignorePaths'];
}
interface NormalizeSettingsGlobsResult {
    ignorePaths?: GlobDef[];
}
export declare function normalizeSettingsGlobs(settings: NormalizeSettingsGlobs, pathToSettingsFile: string): NormalizeSettingsGlobsResult;
export declare function normalizeCacheSettings(settings: Pick<CSpellUserSettings, 'cache'>, pathToSettingsDir: string): Pick<CSpellUserSettings, 'cache'>;
export {};
//# sourceMappingURL=normalizeRawSettings.d.ts.map