export declare const regExMatchUrls: RegExp;
export declare const regExHRef: RegExp;
export declare const regExMatchCommonHexFormats: RegExp;
export declare const regExCommitHash: RegExp;
export declare const regExCommitHashLink: RegExp;
export declare const regExCStyleHexValue: RegExp;
export declare const regExCSSHexValue: RegExp;
export declare const regExUUID: RegExp;
export declare const regExUnicodeRef: RegExp;
export declare const regExSpellingGuardBlock: RegExp;
export declare const regExSpellingGuardNext: RegExp;
export declare const regExSpellingGuardLine: RegExp;
export declare const regExIgnoreSpellingDirectives: RegExp;
export declare const regExPublicKey: RegExp;
export declare const regExCert: RegExp;
export declare const regExSshRSA: RegExp;
export declare const regExEscapeCharacters: RegExp;
export declare const regExBase64: RegExp;
/**
 * Detect a string of characters that look like a Base64 string.
 *
 * It must be:
 * - at least 40 characters
 * - contain at least 1 of [0-9+=]
 * - end at the end of the line or with [,"'\]
 */
export declare const regExBase64SingleLine: RegExp;
export declare const regExBase64MultiLine: RegExp;
export declare const regExPhpHereDoc: RegExp;
export declare const regExString: RegExp;
export declare const regExCStyleComments: RegExp;
export declare const rexExPythonStyleComments: RegExp;
export declare const regExEmail: RegExp;
export declare const regExRepeatedChar: RegExp;
export declare const regExSha: RegExp;
/**
 * Detect common hash strings like:
 * - `sha1`, `sha256`, `sha512`
 * - `md5`
 * - `base64` - used in email
 * - `crypt`, `bcrypt`, `script`
 * - `token`
 * - `assertion` - use with jwt
 */
export declare const regExHashStrings: RegExp;
//# sourceMappingURL=RegExpPatterns.d.ts.map