import { createTimer } from './timer.js';
/**
 * Measure and log result.
 * @param fn - function to measure.
 * @param message - message to log
 * @param callback - called when the function has finished.
 * @returns a function
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
export function perfFn(fn, message, callback = (message, time) => console.error(`${message}: ${time.toFixed(2)}ms`)) {
    return (...args) => {
        const timer = createTimer();
        const r = fn(...args);
        callback(message, timer.elapsed());
        return r;
    };
}
//# sourceMappingURL=debugPerf.js.map