import { readFileText, readFileTextSync } from 'cspell-io';
import { toIterableIterator } from './iterableIteratorLib.js';
export async function readLines(filename, encoding = 'utf8') {
    try {
        const content = await readFileText(filename, encoding);
        return toIterableIterator(content.split(/\r?\n/g));
    }
    catch (e) {
        return Promise.reject(e);
    }
}
export function readLinesSync(filename, encoding = 'utf8') {
    const content = readFileTextSync(filename, encoding);
    return content.split(/\r?\n/g);
}
//# sourceMappingURL=fileReader.js.map